=== modified file 'drizzled/command.h'
--- drizzled/command.h	2009-08-07 14:32:00 +0000
+++ drizzled/command.h	2009-08-07 18:03:24 +0000
@@ -44,9 +44,8 @@
 class SqlCommand
 {
 public:
-  SqlCommand(enum enum_sql_command in_comm_type,
-             Session *in_session)
-    : comm_type(in_comm_type),
+  SqlCommand(Session *in_session)
+    : 
       session(in_session)
   {}
 
@@ -62,11 +61,6 @@
 protected:
 
   /**
-   * The type of this command.
-   */
-  enum enum_sql_command comm_type;
-
-  /**
    * A session handler.
    */
   Session *session;

=== modified file 'drizzled/command/checksum.h'
--- drizzled/command/checksum.h	2009-08-07 14:32:00 +0000
+++ drizzled/command/checksum.h	2009-08-07 18:03:24 +0000
@@ -33,13 +33,15 @@
 class Checksum : public SqlCommand
 {
 public:
-  Checksum(enum enum_sql_command in_comm_type,
-           Session *in_session)
+  Checksum(Session *in_session)
     :
-      SqlCommand(in_comm_type, in_session)
+      SqlCommand(in_session)
   {}
 
   bool execute();
+
+private:
+  static const enum enum_sql_command type= SQLCOM_CHECKSUM;
 };
 
 } /* end namespace command */

=== modified file 'drizzled/command/commit.h'
--- drizzled/command/commit.h	2009-08-07 14:32:00 +0000
+++ drizzled/command/commit.h	2009-08-07 18:03:24 +0000
@@ -33,13 +33,15 @@
 class Commit : public SqlCommand
 {
 public:
-  Commit(enum enum_sql_command in_comm_type,
-         Session *in_session)
+  Commit(Session *in_session)
     :
-      SqlCommand(in_comm_type, in_session)
+      SqlCommand(in_session)
   {}
 
   bool execute();
+
+private:
+  static const enum enum_sql_command type= SQLCOM_COMMIT;
 };
 
 } /* end namespace command */

=== modified file 'drizzled/command/delete.h'
--- drizzled/command/delete.h	2009-08-07 16:28:17 +0000
+++ drizzled/command/delete.h	2009-08-07 18:03:24 +0000
@@ -33,13 +33,15 @@
 class Delete : public SqlCommand
 {
 public:
-  Delete(enum enum_sql_command in_comm_type,
-         Session *in_session)
+  Delete(Session *in_session)
     :
-      SqlCommand(in_comm_type, in_session)
+      SqlCommand(in_session)
   {}
 
   bool execute();
+
+private:
+  static const enum enum_sql_command type= SQLCOM_DELETE;
 };
 
 } /* end namespace command */

=== modified file 'drizzled/command/empty_query.h'
--- drizzled/command/empty_query.h	2009-08-07 14:32:00 +0000
+++ drizzled/command/empty_query.h	2009-08-07 18:03:24 +0000
@@ -33,13 +33,15 @@
 class EmptyQuery : public SqlCommand
 {
 public:
-  EmptyQuery(enum enum_sql_command in_comm_type,
-             Session *in_session)
+  EmptyQuery(Session *in_session)
     :
-      SqlCommand(in_comm_type, in_session)
+      SqlCommand(in_session)
   {}
 
   bool execute();
+
+private:
+  static const enum enum_sql_command type= SQLCOM_EMPTY_QUERY;
 };
 
 } /* end namespace command */

=== modified file 'drizzled/command/load.h'
--- drizzled/command/load.h	2009-08-07 14:32:00 +0000
+++ drizzled/command/load.h	2009-08-07 18:03:24 +0000
@@ -33,13 +33,15 @@
 class Load : public SqlCommand
 {
 public:
-  Load(enum enum_sql_command in_comm_type,
-       Session *in_session)
+  Load(Session *in_session)
     :
-      SqlCommand(in_comm_type, in_session)
+      SqlCommand(in_session)
   {}
 
   bool execute();
+
+private:
+  static const enum enum_sql_command type= SQLCOM_LOAD;
 };
 
 } /* end namespace command */

=== modified file 'drizzled/command/rollback.h'
--- drizzled/command/rollback.h	2009-08-07 14:32:00 +0000
+++ drizzled/command/rollback.h	2009-08-07 18:03:24 +0000
@@ -33,13 +33,15 @@
 class Rollback : public SqlCommand
 {
 public:
-  Rollback(enum enum_sql_command in_comm_type,
-           Session *in_session)
+  Rollback(Session *in_session)
     :
-      SqlCommand(in_comm_type, in_session)
+      SqlCommand(in_session)
   {}
 
   bool execute();
+
+private:
+  static const enum enum_sql_command type= SQLCOM_ROLLBACK;
 };
 
 } /* end namespace command */

=== modified file 'drizzled/command/select.h'
--- drizzled/command/select.h	2009-08-07 14:32:00 +0000
+++ drizzled/command/select.h	2009-08-07 18:03:24 +0000
@@ -36,10 +36,14 @@
   Select(enum enum_sql_command in_comm_type,
          Session *in_session)
     :
-      SqlCommand(in_comm_type, in_session)
+      SqlCommand(in_session),
+      type(in_comm_type)
   {}
 
   bool execute();
+
+private:
+  enum enum_sql_command type;
 };
 
 } /* end namespace command */

=== modified file 'drizzled/command/show_create.h'
--- drizzled/command/show_create.h	2009-08-07 14:32:00 +0000
+++ drizzled/command/show_create.h	2009-08-07 18:03:24 +0000
@@ -33,13 +33,15 @@
 class ShowCreate : public SqlCommand
 {
 public:
-  ShowCreate(enum enum_sql_command in_comm_type,
-             Session *in_session)
+  ShowCreate(Session *in_session)
     :
-      SqlCommand(in_comm_type, in_session)
+      SqlCommand(in_session)
   {}
 
   bool execute();
+
+private:
+  static const enum enum_sql_command type= SQLCOM_SHOW_CREATE;
 };
 
 } /* end namespace command */

=== modified file 'drizzled/command/show_engine_status.h'
--- drizzled/command/show_engine_status.h	2009-08-07 14:32:00 +0000
+++ drizzled/command/show_engine_status.h	2009-08-07 18:03:24 +0000
@@ -33,13 +33,15 @@
 class ShowEngineStatus : public SqlCommand
 {
 public:
-  ShowEngineStatus(enum enum_sql_command in_comm_type,
-                   Session *in_session)
+  ShowEngineStatus(Session *in_session)
     :
-      SqlCommand(in_comm_type, in_session)
+      SqlCommand(in_session)
   {}
 
   bool execute();
+
+private:
+  static const enum enum_sql_command type= SQLCOM_SHOW_ENGINE_STATUS;
 };
 
 } /* end namespace command */

=== modified file 'drizzled/command/show_errors.h'
--- drizzled/command/show_errors.h	2009-08-07 14:32:00 +0000
+++ drizzled/command/show_errors.h	2009-08-07 18:03:24 +0000
@@ -33,13 +33,15 @@
 class ShowErrors : public SqlCommand
 {
 public:
-  ShowErrors(enum enum_sql_command in_comm_type,
-             Session *in_session)
+  ShowErrors(Session *in_session)
     :
-      SqlCommand(in_comm_type, in_session)
+      SqlCommand(in_session)
   {}
 
   bool execute();
+
+private:
+  static const enum enum_sql_command type= SQLCOM_SHOW_ERRORS;
 };
 
 } /* end namespace command */

=== modified file 'drizzled/command/show_processlist.h'
--- drizzled/command/show_processlist.h	2009-08-07 14:32:00 +0000
+++ drizzled/command/show_processlist.h	2009-08-07 18:03:24 +0000
@@ -33,13 +33,15 @@
 class ShowProcesslist : public SqlCommand
 {
 public:
-  ShowProcesslist(enum enum_sql_command in_comm_type,
-                  Session *in_session)
+  ShowProcesslist(Session *in_session)
     :
-      SqlCommand(in_comm_type, in_session)
+      SqlCommand(in_session)
   {}
 
   bool execute();
+
+private:
+  static const enum enum_sql_command type= SQLCOM_SHOW_PROCESSLIST;
 };
 
 } /* end namespace command */

=== modified file 'drizzled/command/show_status.h'
--- drizzled/command/show_status.h	2009-08-07 14:32:00 +0000
+++ drizzled/command/show_status.h	2009-08-07 18:03:24 +0000
@@ -37,11 +37,10 @@
 class ShowStatus : public SqlCommand
 {
 public:
-  ShowStatus(enum enum_sql_command in_comm_type,
-             Session *in_session,
+  ShowStatus(Session *in_session,
              pthread_mutex_t *in_show_lock)
     :
-      SqlCommand(in_comm_type, in_session),
+      SqlCommand(in_session),
       show_lock(in_show_lock)
   {}
 
@@ -49,6 +48,8 @@
 
 private:
 
+  static const enum enum_sql_command type= SQLCOM_SHOW_STATUS;
+
   /**
    * Mutex needed by the SHOW STATUS command.
    */

=== modified file 'drizzled/command/show_warnings.h'
--- drizzled/command/show_warnings.h	2009-08-07 14:32:00 +0000
+++ drizzled/command/show_warnings.h	2009-08-07 18:03:24 +0000
@@ -33,13 +33,15 @@
 class ShowWarnings : public SqlCommand
 {
 public:
-  ShowWarnings(enum enum_sql_command in_comm_type,
-               Session *in_session)
+  ShowWarnings(Session *in_session)
     :
-      SqlCommand(in_comm_type, in_session)
+      SqlCommand(in_session)
   {}
 
   bool execute();
+
+private:
+  static const enum enum_sql_command type= SQLCOM_SHOW_WARNS;
 };
 
 } /* end namespace command */

=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2009-08-07 16:28:17 +0000
+++ drizzled/sql_yacc.yy	2009-08-07 18:03:24 +0000
@@ -1077,8 +1077,7 @@
             {
               session->lex->sql_command= SQLCOM_EMPTY_QUERY;
               session->lex->command= 
-                new(std::nothrow) command::EmptyQuery(SQLCOM_EMPTY_QUERY,
-                                                      YYSession);
+                new(std::nothrow) command::EmptyQuery(YYSession);
               if (session->lex->command == NULL)
                 DRIZZLE_YYABORT;
             }
@@ -2377,8 +2376,7 @@
           {
             LEX *lex=Lex;
             lex->sql_command = SQLCOM_CHECKSUM;
-            lex->command= new(std::nothrow) command::Checksum(SQLCOM_CHECKSUM,
-                                                              YYSession);
+            lex->command= new(std::nothrow) command::Checksum(YYSession);
             if (lex->command == NULL)
               DRIZZLE_YYABORT;
           }
@@ -4622,8 +4620,7 @@
           {
             LEX *lex= Lex;
             lex->sql_command= SQLCOM_DELETE;
-            lex->command= new(std::nothrow) command::Delete(SQLCOM_DELETE,
-                                                            YYSession);
+            lex->command= new(std::nothrow) command::Delete(YYSession);
             if (lex->command == NULL)
               DRIZZLE_YYABORT;
             mysql_init_select(lex);
@@ -4743,8 +4740,7 @@
             Lex->show_engine= $2; 
             Lex->sql_command= SQLCOM_SHOW_ENGINE_STATUS;
             Lex->command= 
-              new(std::nothrow) command::ShowEngineStatus(SQLCOM_SHOW_ENGINE_STATUS,
-                                                          YYSession);
+              new(std::nothrow) command::ShowEngineStatus(YYSession);
             if (Lex->command == NULL)
               DRIZZLE_YYABORT;
           }
@@ -4795,16 +4791,14 @@
         | WARNINGS opt_limit_clause_init
           { 
             Lex->sql_command = SQLCOM_SHOW_WARNS;
-            Lex->command= new(std::nothrow) command::ShowWarnings(SQLCOM_SHOW_WARNS,
-                                                                  YYSession);
+            Lex->command= new(std::nothrow) command::ShowWarnings(YYSession);
             if (Lex->command == NULL)
               DRIZZLE_YYABORT;
           }
         | ERRORS opt_limit_clause_init
           { 
             Lex->sql_command = SQLCOM_SHOW_ERRORS;
-            Lex->command= new(std::nothrow) command::ShowErrors(SQLCOM_SHOW_ERRORS,
-                                                                YYSession);
+            Lex->command= new(std::nothrow) command::ShowErrors(YYSession);
             if (Lex->command == NULL)
               DRIZZLE_YYABORT;
           }
@@ -4813,8 +4807,7 @@
             LEX *lex= Lex;
             lex->sql_command= SQLCOM_SHOW_STATUS;
             lex->command=
-              new(std::nothrow) command::ShowStatus(SQLCOM_SHOW_STATUS,
-                                                    YYSession,
+              new(std::nothrow) command::ShowStatus(YYSession,
                                                     &LOCK_status);
             if (lex->command == NULL)
               DRIZZLE_YYABORT;
@@ -4826,8 +4819,7 @@
           { 
             Lex->sql_command= SQLCOM_SHOW_PROCESSLIST;
             Lex->command= 
-              new(std::nothrow) command::ShowProcesslist(SQLCOM_SHOW_PROCESSLIST,
-                                                         YYSession);
+              new(std::nothrow) command::ShowProcesslist(YYSession);
             if (Lex->command == NULL)
               DRIZZLE_YYABORT;
           }
@@ -4854,8 +4846,7 @@
           {
             LEX *lex= Lex;
             lex->sql_command = SQLCOM_SHOW_CREATE;
-            lex->command= new(std::nothrow) command::ShowCreate(SQLCOM_SHOW_CREATE,
-                                                                YYSession);
+            lex->command= new(std::nothrow) command::ShowCreate(YYSession);
             if (lex->command == NULL)
               DRIZZLE_YYABORT;
             if (!lex->select_lex.add_table_to_list(YYSession, $3, NULL,0))
@@ -5023,8 +5014,7 @@
           {
             LEX *lex=Lex;
             lex->sql_command= SQLCOM_LOAD;
-            lex->command= new(std::nothrow) command::Load(SQLCOM_LOAD,
-                                                          YYSession);
+            lex->command= new(std::nothrow) command::Load(YYSession);
             if (lex->command == NULL)
               DRIZZLE_YYABORT;
             lex->lock_option= $4;
@@ -5904,8 +5894,7 @@
           {
             LEX *lex=Lex;
             lex->sql_command= SQLCOM_COMMIT;
-            lex->command= new(std::nothrow) command::Commit(SQLCOM_COMMIT,
-                                                            YYSession);
+            lex->command= new(std::nothrow) command::Commit(YYSession);
             if (lex->command == NULL)
               DRIZZLE_YYABORT;
             lex->tx_chain= $3; 
@@ -5918,8 +5907,7 @@
           {
             LEX *lex=Lex;
             lex->sql_command= SQLCOM_ROLLBACK;
-            lex->command= new(std::nothrow) command::Rollback(SQLCOM_ROLLBACK,
-                                                              YYSession);
+            lex->command= new(std::nothrow) command::Rollback(YYSession);
             if (lex->command == NULL)
               DRIZZLE_YYABORT;
             lex->tx_chain= $3; 

